# RPM Spec file for mod_dav_displayname

Name:      mod_dav_displayname
Version:   1.0.0
Release:   1%{?dist}
Summary:   Apache WebDAV displayname module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://github.com/minfrin/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://github.com/minfrin/%{name}
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), (httpd-devel or apache-devel or apache2-devel)
Requires: (httpd or apache or apache2)

%if 0%{?is_opensuse}
%define moduledir %{_libdir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%endif

%description
The Apache mod_dav_displayname autopopulates the DAV:displayname property with the resource or collection name.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%if 0%{?sle_version} || 0%{?is_opensuse}
%{_libdir}/apache2/%{name}.so
%else
%{_libdir}/httpd/modules/%{name}.so
%endif

%changelog
* Mon Aug 03 2020 Graham Leggett <minfrin@sharp.fm> - 1.0.0-1
- Initial version of the package

